## nvidia-graphics-drivers-470-server 470.256.02

=== debian/changelog ===
nvidia-graphics-drivers-470-server (470.256.02-0ubuntu0.24.04.5) noble; urgency=medium

  * Release EOL transitionals

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 23 Jul 2025 19:47:22 +0200

nvidia-graphics-drivers-470-server (470.256.02-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2066904)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 23 May 2024 15:33:43 +0200
