=== debian/control ===
Source: nvidia-graphics-drivers-470-server
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/tseliot/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/tseliot/nvidia-graphics-drivers/tree/470-server
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 dkms,
 libxext6,
 quilt,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-470-server
Architecture: amd64
Depends: nvidia-driver-535
Multi-Arch: foreign
Section: non-free/oldlibs
Description: NVIDIA driver metapackage
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-source-470-server
Architecture: amd64
Depends: nvidia-kernel-source-535
Multi-Arch: foreign
Section: non-free/oldlibs
Description: NVIDIA kernel source package
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-dkms-470-server
Architecture: amd64
Depends: nvidia-dkms-535
Section: non-free/oldlibs
Description: NVIDIA DKMS package
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-utils-470-server
Architecture: amd64
Depends: nvidia-utils-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA driver support binaries
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-compute-470-server
Architecture: i386 amd64
Multi-Arch: same
Section: non-free/oldlibs
Depends: libnvidia-compute-535
Description: NVIDIA libcompute package
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-compute-utils-470-server
Architecture: amd64
Depends: nvidia-compute-utils-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA compute utilities
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-no-dkms-470-server
Architecture: amd64
Depends: nvidia-headless-no-dkms-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA headless metapackage - no DKMS
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-470-server
Architecture: amd64
Depends: nvidia-headless-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA headless metapackage
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-common-470-server
Architecture: amd64
Depends: nvidia-kernel-common-535
Multi-Arch: same
Section: non-free/oldlibs
Description: Shared files used with the kernel module
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-gl-470-server
Architecture: i386 amd64
Multi-Arch: same
Depends: libnvidia-gl-535
Section: non-free/oldlibs
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-common-470-server
Architecture: all
Depends: libnvidia-common-535
Multi-Arch: foreign
Section: non-free/oldlibs
Description: Shared files used by the NVIDIA libraries
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-extra-470-server
Architecture: i386 amd64
Depends: libnvidia-extra-535
Multi-Arch: same
Section: non-free/oldlibs
Description: Extra libraries for the NVIDIA driver
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: xserver-xorg-video-nvidia-470-server
Architecture: amd64
Depends: xserver-xorg-video-nvidia-535
Section: non-free/oldlibs
Description: NVIDIA binary Xorg driver
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-cfg1-470-server
Architecture: amd64
Multi-Arch: same
Depends: libnvidia-cfg1-535
Section: non-free/oldlibs
Description: NVIDIA binary OpenGL/GLX configuration library
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-ifr1-470-server
Architecture: i386 amd64
Depends: libnvidia-ifr1-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA OpenGL-based Inband Frame Readback runtime library
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-fbc1-470-server
Architecture: i386 amd64
Depends: libnvidia-fbc1-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-decode-470-server
Architecture: i386 amd64
Depends: libnvidia-decode-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVIDIA Video Decoding runtime libraries
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-encode-470-server
Architecture: i386 amd64
Depends: libnvidia-encode-535
Multi-Arch: same
Section: non-free/oldlibs
Description: NVENC Video Encoding runtime library
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-driver-460-server
Architecture: amd64
Depends: nvidia-driver-470-server
Multi-Arch: foreign
Description: Transitional package for nvidia-driver-470-server
 This is a transitional package for nvidia-driver-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-source-460-server
Architecture: amd64
Depends: nvidia-kernel-source-470-server
Multi-Arch: foreign
Description: Transitional package for nvidia-kernel-source-470-server
 This is a transitional package for nvidia-kernel-source-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-dkms-460-server
Architecture: amd64
Depends: nvidia-dkms-470-server
Multi-Arch: foreign
Description: Transitional package for nvidia-dkms-470-server
 This is a transitional package for nvidia-dkms-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-utils-460-server
Architecture: amd64
Depends: nvidia-utils-470-server
Multi-Arch: same
Description: Transitional package for nvidia-utils-470-server
 This is a transitional package for nvidia-utils-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-compute-460-server
Architecture: i386 amd64
Depends: libnvidia-compute-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-compute-470-server
 This is a transitional package for libnvidia-compute-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-compute-utils-460-server
Architecture: amd64
Depends: nvidia-compute-utils-470-server
Multi-Arch: same
Description: Transitional package for nvidia-compute-utils-470-server
 This is a transitional package for nvidia-compute-utils-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-no-dkms-460-server
Architecture: amd64
Depends: nvidia-headless-no-dkms-470-server
Multi-Arch: same
Description: Transitional package for nvidia-headless-no-dkms-470-server
 This is a transitional package for nvidia-headless-no-dkms-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-460-server
Architecture: amd64
Depends: nvidia-headless-470-server
Multi-Arch: same
Description: Transitional package for nvidia-headless-470-server
 This is a transitional package for nvidia-headless-470-server, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-common-460-server
Architecture: amd64
Depends: nvidia-kernel-common-470-server
Multi-Arch: same
Description: Transitional package for nvidia-kernel-common-470-server
 This is a transitional package for nvidia-kernel-common-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-gl-460-server
Architecture: i386 amd64
Depends: libnvidia-gl-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-gl-470-server
 This is a transitional package for libnvidia-gl-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-common-460-server
Architecture: all
Depends: libnvidia-common-470-server
Multi-Arch: foreign
Description: Transitional package for libnvidia-common-470-server
 This is a transitional package for libnvidia-common-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-extra-460-server
Architecture: i386 amd64
Depends: libnvidia-extra-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-extra-470-server
 This is a transitional package for libnvidia-extra-470-server, and can be
 safely removed after the installation is complete.

Package: xserver-xorg-video-nvidia-460-server
Architecture: amd64
Depends: xserver-xorg-video-nvidia-470-server
Multi-Arch: same
Description: Transitional package for xserver-xorg-video-nvidia-470-server
 This is a transitional package for xserver-xorg-video-nvidia-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-cfg1-460-server
Architecture: amd64
Depends: libnvidia-cfg1-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-cfg1-470-server
 This is a transitional package for libnvidia-cfg1-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-ifr1-460-server
Architecture: i386 amd64
Depends: libnvidia-ifr1-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-ifr1-470-server
 This is a transitional package for libnvidia-ifr1-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-fbc1-460-server
Architecture: i386 amd64
Depends: libnvidia-fbc1-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-fbc1-470-server
 This is a transitional package for libnvidia-fbc1-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-decode-460-server
Architecture: i386 amd64
Depends: libnvidia-decode-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-decode-470-server
 This is a transitional package for libnvidia-decode-470-server, and can be
 safely removed after the installation is complete.

Package: libnvidia-encode-460-server
Architecture: i386 amd64
Depends: libnvidia-encode-470-server
Multi-Arch: same
Description: Transitional package for libnvidia-encode-470-server
 This is a transitional package for libnvidia-encode-470-server, and can be
 safely removed after the installation is complete.
